Bug 566512 - Supermin hostfiles should not have ./builddir entries
Supermin hostfiles should not have ./builddir entries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 12:08 EST by Richard W.M. Jones
Modified: 2010-03-18 18:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: libguestfs-1.0.85-1.el5.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-01 08:55:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-02-18 12:08:30 EST
Description of problem:

$ grep builddir /usr/lib64/guestfs/initramfs.fedora-12.x86_64.supermin.hostfiles | head
./builddir
./builddir/build
./builddir/build/BUILD
./builddir/build/BUILD/libguestfs-1.0.84
./builddir/build/BUILD/libguestfs-1.0.84/initramfs
./builddir/build/BUILD/libguestfs-1.0.84/initramfs/var
./builddir/build/BUILD/libguestfs-1.0.84/initramfs/var/lib
./builddir/build/BUILD/libguestfs-1.0.84/initramfs/var/lib/yum
./builddir/build/BUILD/libguestfs-1.0.84/initramfs/var/lib/yum/yumdb
./builddir/build/BUILD/libguestfs-1.0.84/initramfs/var/lib/yum/yumdb/d

Those entries are bogus and should be removed.

Version-Release number of selected component (if applicable):

1.0.84

How reproducible:

Always when building in mock or Koji.

Additional info:

http://koji.fedoraproject.org/koji/buildinfo?buildID=156817
Comment 1 Richard W.M. Jones 2010-03-01 06:59:29 EST
Proposed patch posted upstream:

https://www.redhat.com/archives/libguestfs/2010-March/msg00003.html

and included in Fedora Rawhide build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2021029
Comment 2 Richard W.M. Jones 2010-03-01 08:55:40 EST
Fix for this is now upstream.
Comment 3 Fedora Update System 2010-03-01 15:06:42 EST
libguestfs-1.0.85-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.0.85-1.fc13
Comment 4 Fedora Update System 2010-03-02 09:21:44 EST
libguestfs-1.0.85-1.el5.5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.85-1.el5.5
Comment 5 Fedora Update System 2010-03-02 14:17:28 EST
libguestfs-1.0.85-1.fc12.2 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libguestfs-1.0.85-1.fc12.2
Comment 6 Fedora Update System 2010-03-05 22:45:10 EST
libguestfs-1.0.85-1.fc12.2 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-03-18 18:35:12 EDT
libguestfs-1.0.85-1.el5.5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.